<app-loading *ngIf="isLoading"></app-loading>
<div class="app-card">
  <form nz-form [formGroup]="form">
    <div class="app-row" nz-row [nzGutter]="[30, 0]">
      <div nz-col nzXs="24" nzLg="12">
        <mb-input-text formControlName="code" [mbMaxLength]="50" uppercase (mbBlur)="codeBlur()"
          [mbType]="isSubmitted && form.controls['code'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['code'].errors !== null" [mbErrors]="form.controls['code'].errors"
          [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'system.validate.maxLength' | translate: {'numberLength': '50' }},
            { errorName: 'code', errorDescription: 'system.validate.code' | translate },
            { errorName: 'required', errorDescription: 'system.validate.required' | translate: {'param': 'system.scopes.label.attributes.code' | translate }}]"
          mbPlaceholderText="--{{'system.scopes.label.attributes.code' | translate}}--"
          mbLabelText="{{'system.scopes.label.attributes.code' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="12">
        <mb-input-text formControlName="name"
          [mbType]="isSubmitted && form.controls['name'].errors ? 'error' : 'default'" [mbMaxLength]="150"
          [mbShowError]="isSubmitted && form.controls['name'].errors !== null" [mbErrors]="form.controls['name'].errors"
          [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'system.validate.maxLength' | translate: {'numberLength': '150' }},
            { errorName: 'required', errorDescription: 'system.validate.required' | translate: {'param': 'system.scopes.label.attributes.name' | translate }}]"
          mbPlaceholderText="--{{'system.scopes.label.attributes.name' | translate}}--"
          mbLabelText="{{'system.scopes.label.attributes.name' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="24">
        <mb-input-text formControlName="description" [mbIsTextAre]='true' [mbConfig]="{ rows: 3, autoSize: true }" [mbMaxLength]="150"
          [mbType]="isSubmitted && form.controls['description'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['description'].errors !== null" [mbErrors]="form.controls['description'].errors"
          [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'system.validate.maxLength' | translate: {'numberLength': '150' }}]"
          mbPlaceholderText="--{{'system.scopes.label.attributes.description' | translate}}--"
          mbLabelText="{{'system.scopes.label.attributes.description' | translate}}"></mb-input-text>
      </div>
    </div>
    <div class="footer">
      <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
    </div>
  </form>
</div>
